Engines
List the engines
Every AI engine Citino can sample, and how a project gets it: on by default, an opt-in a plan carries, or Enterprise only.
GET
/
engines
curl
curl "https://api.citino.ai/v1/engines" \
-H "Authorization: Bearer $CITINO_API_KEY"import os
import requests
res = requests.get(
"https://api.citino.ai/v1/engines",
headers={"Authorization": f"Bearer {os.environ['CITINO_API_KEY']}"},
)
print(res.json())const res = await fetch("https://api.citino.ai/v1/engines", {
headers: {
Authorization: `Bearer ${process.env.CITINO_API_KEY}`,
},
});
console.log(await res.json());{
"items": [
{
"key": "chatgpt",
"name": "ChatGPT · web search",
"availability": "default"
},
{
"key": "google-ai-overview",
"name": "Google · AI Overview",
"availability": "default"
},
{
"key": "perplexity",
"name": "Perplexity · Sonar",
"availability": "default"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}⌘I
curl
curl "https://api.citino.ai/v1/engines" \
-H "Authorization: Bearer $CITINO_API_KEY"import os
import requests
res = requests.get(
"https://api.citino.ai/v1/engines",
headers={"Authorization": f"Bearer {os.environ['CITINO_API_KEY']}"},
)
print(res.json())const res = await fetch("https://api.citino.ai/v1/engines", {
headers: {
Authorization: `Bearer ${process.env.CITINO_API_KEY}`,
},
});
console.log(await res.json());{
"items": [
{
"key": "chatgpt",
"name": "ChatGPT · web search",
"availability": "default"
},
{
"key": "google-ai-overview",
"name": "Google · AI Overview",
"availability": "default"
},
{
"key": "perplexity",
"name": "Perplexity · Sonar",
"availability": "default"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"detail": {}
}
}